Show / Hide Table of Contents

# Class ProxyException

Base class exception associated with this proxy server.

##### Inheritance

Object
Exception
ProxyException
BodyNotFoundException
ProxyAuthorizationException
ProxyConnectException
ProxyHttpException
ServerConnectionException

##### Implements

ISerializable

##### Inherited Members

Exception.GetBaseException()
Exception.GetObjectData(SerializationInfo, StreamingContext)
Exception.GetType()
Exception.ToString()
Exception.Data
Exception.HelpLink
Exception.HResult
Exception.InnerException
Exception.Message
Exception.Source
Exception.StackTrace
Exception.TargetSite
Exception.SerializeObjectState
Object.Equals(Object)
Object.Equals(Object, Object)
Object.GetHashCode()
Object.MemberwiseClone()
Object.ReferenceEquals(Object, Object)

###### Namespace: Titanium.Web.Proxy.Exceptions

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public abstract class ProxyException : Exception, ISerializable

### Constructors

| Improve this Doc View Source

#### ProxyException(String)

Initializes a new instance of the ProxyException class.

- must be invoked by derived classes' constructors

##### Declaration

    protected ProxyException(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
String | message | Exception message

| Improve this Doc View Source

#### ProxyException(String, Exception)

Initializes a new instance of the ProxyException class.

- must be invoked by derived classes' constructors

##### Declaration

    protected ProxyException(string message, Exception innerException)

##### Parameters

Type | Name | Description
--- | --- | ---
String | message | Exception message
Exception | innerException | Inner exception associated

### Implements

System.Runtime.Serialization.ISerializable